VULKAN_HPP_NAMESPACE::ImageSubresourceRange Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ImageSubresourceRange:
[legend]

## Public Member Functions

| ImageSubresourceRange (ImageAspectFlags aspectMask_=ImageAspectFlags(), uint32_t baseMipLevel_=0, uint32_t levelCount_=0, uint32_t baseArrayLayer_=0, uint32_t layerCount_=0)
| ImageSubresourceRange (VkImageSubresourceRange const &rhs)
ImageSubresourceRange & | operator= (VkImageSubresourceRange const &rhs)
ImageSubresourceRange & | setAspectMask (ImageAspectFlags aspectMask_)
ImageSubresourceRange & | setBaseMipLevel (uint32_t baseMipLevel_)
ImageSubresourceRange & | setLevelCount (uint32_t levelCount_)
ImageSubresourceRange & | setBaseArrayLayer (uint32_t baseArrayLayer_)
ImageSubresourceRange & | setLayerCount (uint32_t layerCount_)
| operator VkImageSubresourceRange const & () const
| operator VkImageSubresourceRange & ()
bool | operator== (ImageSubresourceRange const &rhs) const
bool | operator!= (ImageSubresourceRange const &rhs) const

## Data Fields

ImageAspectFlags | aspectMask
uint32_t | baseMipLevel
uint32_t | levelCount
uint32_t | baseArrayLayer
uint32_t | layerCount

## Detailed Description

Definition at line 24888 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ImageSubresourceRange() [1/2]

VULKAN_HPP_NAMESPACE::ImageSubresourceRange::ImageSubresourceRange | ( | ImageAspectFlags | aspectMask_ = `ImageAspectFlags()`,
|  | uint32_t | baseMipLevel_ = `0`,
|  | uint32_t | levelCount_ = `0`,
|  | uint32_t | baseArrayLayer_ = `0`,
|  | uint32_t | layerCount_ = `0`
| ) |  |

inline

Definition at line 24890 of file vulkan.hpp.

: aspectMask( aspectMask_ )
, baseMipLevel( baseMipLevel_ )
, levelCount( levelCount_ )
, baseArrayLayer( baseArrayLayer_ )
, layerCount( layerCount_ )
{
}

## ImageSubresourceRange() [2/2]

VULKAN_HPP_NAMESPACE::ImageSubresourceRange::ImageSubresourceRange | ( | VkImageSubresourceRange const & | rhs | ) |

inline

Definition at line 24903 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageSubresourceRange ) );
}

References memcpy.

## Member Function Documentation

## operator VkImageSubresourceRange &()

VULKAN_HPP_NAMESPACE::ImageSubresourceRange::operator VkImageSubresourceRange & | ( |  | ) |

inline

Definition at line 24948 of file vulkan.hpp.

{
return *reinterpret_cast<VkImageSubresourceRange*>(this);
}

## operator VkImageSubresourceRange const &()

VULKAN_HPP_NAMESPACE::ImageSubresourceRange::operator VkImageSubresourceRange const & | ( |  | ) | const

inline

Definition at line 24943 of file vulkan.hpp.

{
return *reinterpret_cast<const VkImageSubresourceRange*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ImageSubresourceRange::operator!= | ( | ImageSubresourceRange const & | rhs | ) | const

inline

Definition at line 24962 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ImageSubresourceRange& VULKAN_HPP_NAMESPACE::ImageSubresourceRange::operator= | ( | VkImageSubresourceRange const & | rhs | ) |

inline

Definition at line 24908 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageSubresourceRange ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ImageSubresourceRange::operator== | ( | ImageSubresourceRange const & | rhs | ) | const

inline

Definition at line 24953 of file vulkan.hpp.

{
return ( aspectMask == rhs.aspectMask )
&& ( baseMipLevel == rhs.baseMipLevel )
&& ( levelCount == rhs.levelCount )
&& ( baseArrayLayer == rhs.baseArrayLayer )
&& ( layerCount == rhs.layerCount );
}

References aspectMask, baseArrayLayer, baseMipLevel, layerCount, and levelCount.

Referenced by operator!=().

## setAspectMask()

ImageSubresourceRange& VULKAN_HPP_NAMESPACE::ImageSubresourceRange::setAspectMask | ( | ImageAspectFlags | aspectMask_ | ) |

inline

Definition at line 24913 of file vulkan.hpp.

{
aspectMask = aspectMask_;
return *this;
}

References aspectMask.

## setBaseArrayLayer()

ImageSubresourceRange& VULKAN_HPP_NAMESPACE::ImageSubresourceRange::setBaseArrayLayer | ( | uint32_t | baseArrayLayer_ | ) |

inline

Definition at line 24931 of file vulkan.hpp.

{
baseArrayLayer = baseArrayLayer_;
return *this;
}

References baseArrayLayer.

## setBaseMipLevel()

ImageSubresourceRange& VULKAN_HPP_NAMESPACE::ImageSubresourceRange::setBaseMipLevel | ( | uint32_t | baseMipLevel_ | ) |

inline

Definition at line 24919 of file vulkan.hpp.

{
baseMipLevel = baseMipLevel_;
return *this;
}

References baseMipLevel.

## setLayerCount()

ImageSubresourceRange& VULKAN_HPP_NAMESPACE::ImageSubresourceRange::setLayerCount | ( | uint32_t | layerCount_ | ) |

inline

Definition at line 24937 of file vulkan.hpp.

{
layerCount = layerCount_;
return *this;
}

References layerCount.

## setLevelCount()

ImageSubresourceRange& VULKAN_HPP_NAMESPACE::ImageSubresourceRange::setLevelCount | ( | uint32_t | levelCount_ | ) |

inline

Definition at line 24925 of file vulkan.hpp.

{
levelCount = levelCount_;
return *this;
}

References levelCount.

## Field Documentation

## aspectMask

ImageAspectFlags VULKAN_HPP_NAMESPACE::ImageSubresourceRange::aspectMask

Definition at line 24967 of file vulkan.hpp.

Referenced by operator==(), and setAspectMask().

## baseArrayLayer

uint32_t VULKAN_HPP_NAMESPACE::ImageSubresourceRange::baseArrayLayer

Definition at line 24970 of file vulkan.hpp.

Referenced by operator==(), and setBaseArrayLayer().

## baseMipLevel

uint32_t VULKAN_HPP_NAMESPACE::ImageSubresourceRange::baseMipLevel

Definition at line 24968 of file vulkan.hpp.

Referenced by operator==(), and setBaseMipLevel().

## layerCount

uint32_t VULKAN_HPP_NAMESPACE::ImageSubresourceRange::layerCount

Definition at line 24971 of file vulkan.hpp.

Referenced by operator==(), and setLayerCount().

## levelCount

uint32_t VULKAN_HPP_NAMESPACE::ImageSubresourceRange::levelCount

Definition at line 24969 of file vulkan.hpp.

Referenced by operator==(), and setLevelCount().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkImageSubresourceRange
Definition: vulkan_core.h:2249
VULKAN_HPP_NAMESPACE::ImageSubresourceRange::layerCount
uint32_t layerCount
Definition: vulkan.hpp:24971
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ImageSubresourceRange::levelCount
uint32_t levelCount
Definition: vulkan.hpp:24969
VULKAN_HPP_NAMESPACE::ImageSubresourceRange::ImageSubresourceRange
ImageSubresourceRange(ImageAspectFlags aspectMask_=ImageAspectFlags(), uint32_t baseMipLevel_=0, uint32_t levelCount_=0, uint32_t baseArrayLayer_=0, uint32_t layerCount_=0)
Definition: vulkan.hpp:24890
VULKAN_HPP_NAMESPACE::ImageSubresourceRange::baseMipLevel
uint32_t baseMipLevel
Definition: vulkan.hpp:24968
VULKAN_HPP_NAMESPACE::ImageSubresourceRange::aspectMask
ImageAspectFlags aspectMask
Definition: vulkan.hpp:24967
VULKAN_HPP_NAMESPACE::ImageSubresourceRange::baseArrayLayer
uint32_t baseArrayLayer
Definition: vulkan.hpp:24970
VULKAN_HPP_NAMESPACE::ImageSubresourceRange::operator==
bool operator==(ImageSubresourceRange const &rhs) const
Definition: vulkan.hpp:24953